diff --git a/elbepack/rpcaptcache.py b/elbepack/rpcaptcache.py
index ce82c90..cfdf6b0 100644
--- a/elbepack/rpcaptcache.py
+++ b/elbepack/rpcaptcache.py
@@ -103,13 +103,16 @@ class RPCAPTCache(InChRootObject):
         # go through all packages, remember package if its source package
         # matches one of the installed packages and the binary package is a
         # '-dev' package
-        dev_list = [s for s in self.cache if (s.candidate.source_name in src_list and (s.section == 'libdevel'))]
-        for p in dev_list:
-            try:
-                p.mark_install ()
-            except SystemError as e:
-                self.log.printo( "%s: Unable to correct problems %s" % (
-                    p.name, str (e)))
+        with open ('/tmp/sysroot.log', 'w') as mylog:
+            mylog.write("adding the following packages:")
+            dev_list = [s for s in self.cache if (s.candidate.source_name in src_list) and (s.name.endswith("-dev"))]
+            for p in dev_list:
+                try:
+                    mylog.write( "adding %s to sysroot" % (p.name))
+                    p.mark_install ()
+                except Exception as e:
+                    self.log.printo( "%s: Unable to correct problems %s" % (
+                        p.name, str (e)))
         # ensure that the symlinks package will be installed (it's needed for
         # fixing links inside the sysroot
         self.cache ['symlinks'].mark_install ()
